export default function Footer() {
  return (
    <footer class="bg-[#313244] text-[#cdd6f4] py-8">
      <div class="container mx-auto px-4">
        {/* Grid layout that switches from 2 to 1 column on small screens */}
        <div class="grid grid-cols-1 md:grid-cols-2 gap-8">
          <div class="space-y-2">
            <a
              class="mb-8 text-[#cdd6f4] transition-all duration-300 ease-in-out hover:text-[#cba6f7] hover:drop-shadow-[0_0_20px_rgba(96,165,250,0.7)] hover:scale-110 cursor-pointer visited:text-[#bac2de]"
              href="/Resume_Wyatt_miller.png"
            >
              RSS
            </a>
            <br />
            <a
              class="mb-8 text-[#cdd6f4] transition-all duration-300 ease-in-out hover:text-[#cba6f7] hover:drop-shadow-[0_0_20px_rgba(96,165,250,0.7)] hover:scale-110 cursor-pointer visited:text-[#bac2de]"
              href="/Resume_Wyatt_miller.png"
            >
              Sitemap
            </a>
          </div>

          <div>
            <a
              class="mb-8 text-[#cdd6f4] transition-all duration-300 ease-in-out hover:text-[#cba6f7] hover:drop-shadow-[0_0_20px_rgba(96,165,250,0.7)] hover:scale-110 cursor-pointer visited:text-[#bac2de]"
              href="/Resume_Wyatt_miller.png"
            >
              Resume
            </a>
            <br />
            <a
              class="mb-8 text-[#cdd6f4] transition-all duration-300 ease-in-out hover:text-[#cba6f7] hover:drop-shadow-[0_0_20px_rgba(96,165,250,0.7)] hover:scale-110 cursor-pointer visited:text-[#bac2de]"
              href="mailto:wjmiller2016@gmail.com"
            >
              Email me
            </a>
            <br />
            <a
              class="mb-8 text-[#cdd6f4] transition-all duration-300 ease-in-out hover:text-[#cba6f7] hover:drop-shadow-[0_0_20px_rgba(96,165,250,0.7)] hover:scale-110 cursor-pointer visited:text-[#bac2de]"
              href="https://x.com/wymillerlinux"
            >
              X
            </a>
            <br />
            <a
              class="mb-8 text-[#cdd6f4] transition-all duration-300 ease-in-out hover:text-[#cba6f7] hover:drop-shadow-[0_0_20px_rgba(96,165,250,0.7)] hover:scale-110 cursor-pointer visited:text-[#bac2de]"
              href="https://github.com/wymillerlinux"
            >
              GitHub
            </a>
          </div>
        </div>

        <div class="border-t border-gray-700 mt-8 pt-4 text-center">
          <p class="text-sm text-gray-400">
            © {new Date().getFullYear()}{" "}
            Miller Web Soultions. All Rights Reserved.
          </p>
        </div>
      </div>
    </footer>
  );
}
